# PLEASE adhere to the alphabetical ordering in this Makefile!
# Also indentation by a single tab

FRAGMENTATIONTESTSSOURCES = \
	../Fragmentation/unittests/KeySetsContainerUnitTest.cpp \
	../Fragmentation/unittests/MatrixContainerUnitTest.cpp

FRAGMENTATIONTESTSHEADERS = \
	../Fragmentation/unittests/KeySetsContainerUnitTest.hpp \
	../Fragmentation/unittests/MatrixContainerUnitTest.hpp

FRAGMENTATIONTESTS = \
  KeySetsContainerUnitTest \
  MatrixContainerUnitTest

TESTS += $(FRAGMENTATIONTESTS)
check_PROGRAMS += $(FRAGMENTATIONTESTS) 
noinst_PROGRAMS += $(FRAGMENTATIONTESTS)

FRAGMENTATIONLIBS = \
	../libMolecuilderFragmentation.la \
	../libMolecuilderHelpers.la \
	${CodePatterns_LIBS} \
	$(BOOST_LIB)


KeySetsContainerUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Fragmentation/unittests/KeySetsContainerUnitTest.cpp \
	../Fragmentation/unittests/KeySetsContainerUnitTest.hpp
KeySetsContainerUnitTest_LDADD = ${FRAGMENTATIONLIBS}

MatrixContainerUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Fragmentation/unittests/MatrixContainerUnitTest.cpp \
	../Fragmentation/unittests/MatrixContainerUnitTest.hpp
MatrixContainerUnitTest_LDADD = ${FRAGMENTATIONLIBS}



#AUTOMAKE_OPTIONS = parallel-tests
